Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.lib.jdbc
Class LoggingConnectionDecorator.LoggingConnection.LoggingResultSet

    java.lang.Object
      org.apache.openjpa.lib.jdbc.DelegatingResultSet
          org.apache.openjpa.lib.jdbc.LoggingConnectionDecorator.LoggingConnection.LoggingResultSet

All Implemented Interfaces:
  ResultSet, Wrapper, Closeable

Enclosing class:
  LoggingConnectionDecorator.LoggingConnection

    protected class LoggingConnectionDecorator.LoggingConnection.LoggingResultSet

extends DelegatingResultSet

Warning-handling result set.

Field Summary

Fields inherited from interface java.sql.ResultSet
`CLOSE_CURSORS_AT_COMMIT, CONCUR_READ_ONLY, CONCUR_UPDATABLE, FETCH_FORWARD, FETCH_REVERSE, FETCH_UNKNOWN, HOLD_CURSORS_OVER_COMMIT, TYPE_FORWARD_ONLY, TYPE_SCROLL_INSENSITIVE, TYPE_SCROLL_SENSITIVE`

Constructor Summary
`LoggingConnectionDecorator.LoggingConnection.LoggingResultSet(ResultSet rs, Statement stmnt)`

Method Summary
`boolean` | `absolute(int a)`
`void` | `afterLast()`
`void` | `beforeFirst()`
`void` | `close()`
`boolean` | `first()`
`boolean` | `last()`
`boolean` | `next()`
`boolean` | `previous()`
`boolean` | `relative(int a)`

Methods inherited from class org.apache.openjpa.lib.jdbc.DelegatingResultSet
`appendInfo, cancelRowUpdates, clearWarnings, deleteRow, equals, findColumn, getArray, getArray, getAsciiStream, getAsciiStream, getBigDecimal, getBigDecimal, getBigDecimal, getBigDecimal, getBinaryStream, getBinaryStream, getBlob, getBlob, getBoolean, getBoolean, getByte, getByte, getBytes, getBytes, getCharacterStream, getCharacterStream, getClob, getClob, getConcurrency, getCursorName, getDate, getDate, getDate, getDate, getDelegate, getDouble, getDouble, getFetchDirection, getFetchSize, getFloat, getFloat, getHoldability, getInnermostDelegate, getInt, getInt, getLong, getLong, getMetaData, getNCharacterStream, getNCharacterStream, getNClob, getNClob, getNString, getNString, getObject, getObject, getObject, getObject, getObject, getObject, getRef, getRef, getRow, getRowId, getRowId, getShort, getShort, getSQLXML, getSQLXML, getStatement, getString, getString, getTime, getTime, getTime, getTime, getTimestamp, getTimestamp, getTimestamp, getTimestamp, getType, getUnicodeStream, getUnicodeStream, getURL, getURL, getWarnings, hashCode, insertRow, isAfterLast, isBeforeFirst, isClosed, isFirst, isLast, isWrapperFor, moveToCurrentRow, moveToInsertRow, refreshRow, rowDeleted, rowInserted, rowUpdated, setFetchDirection, setFetchSize, toString, unwrap, updateArray, updateArray, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateBigDecimal, updateBigDecimal, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBlob, updateBlob, updateBlob, updateBlob, updateBlob, updateBlob, updateBoolean, updateBoolean, updateByte, updateByte, updateBytes, updateBytes, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateClob, updateClob, updateClob, updateClob, updateClob, updateClob, updateDate, updateDate, updateDouble, updateDouble, updateFloat, updateFloat, updateInt, updateInt, updateLong, updateLong, updateNCharacterStream, updateNCharacterStream, updateNCharacterStream, updateNCharacterStream, updateNClob, updateNClob, updateNClob, updateNClob, updateNClob, updateNClob, updateNString, updateNString, updateNull, updateNull, updateObject, updateObject, updateObject, updateObject, updateRef, updateRef, updateRow, updateRowId, updateRowId, updateShort, updateShort, updateSQLXML, updateSQLXML, updateString, updateString, updateTime, updateTime, updateTimestamp, updateTimestamp, wasNull`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LoggingConnectionDecorator.LoggingConnection.LoggingResultSet

    public LoggingConnectionDecorator.LoggingConnection.LoggingResultSet(ResultSet rs,
                                                                         Statement stmnt)

Method Detail

### next

    public boolean next()
                 throws SQLException

  Specified by:
    `next` in interface `ResultSet`
  Overrides:
    `next` in class `DelegatingResultSet`
  Throws:
    `SQLException`

### close

    public void close()
               throws SQLException

  Specified by:
    `close` in interface `ResultSet`
  Specified by:
    `close` in interface `Closeable`
  Overrides:
    `close` in class `DelegatingResultSet`
  Throws:
    `SQLException`

### beforeFirst

    public void beforeFirst()
                     throws SQLException

  Specified by:
    `beforeFirst` in interface `ResultSet`
  Overrides:
    `beforeFirst` in class `DelegatingResultSet`
  Throws:
    `SQLException`

### afterLast

    public void afterLast()
                   throws SQLException

  Specified by:
    `afterLast` in interface `ResultSet`
  Overrides:
    `afterLast` in class `DelegatingResultSet`
  Throws:
    `SQLException`

### first

    public boolean first()
                  throws SQLException

  Specified by:
    `first` in interface `ResultSet`
  Overrides:
    `first` in class `DelegatingResultSet`
  Throws:
    `SQLException`

### last

    public boolean last()
                 throws SQLException

  Specified by:
    `last` in interface `ResultSet`
  Overrides:
    `last` in class `DelegatingResultSet`
  Throws:
    `SQLException`

### absolute

    public boolean absolute(int a)
                     throws SQLException

  Specified by:
    `absolute` in interface `ResultSet`
  Overrides:
    `absolute` in class `DelegatingResultSet`
  Throws:
    `SQLException`

### relative

    public boolean relative(int a)
                     throws SQLException

  Specified by:
    `relative` in interface `ResultSet`
  Overrides:
    `relative` in class `DelegatingResultSet`
  Throws:
    `SQLException`

### previous

    public boolean previous()
                     throws SQLException

  Specified by:
    `previous` in interface `ResultSet`
  Overrides:
    `previous` in class `DelegatingResultSet`
  Throws:
    `SQLException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.